%% FLEXY2 
% 2019-03-20

%% Prerequisities
addpath('RealTime_Pacer')    % if not included in the PATH
slCharacterEncoding('UTF-8') % helps avoid warnings

%% Initialization and communication PORT identification
f = Flexy2

%% Double calibration
f.calibrate; f.calibrate

%% Close CLI connection to enable Simulink communication
f.close

%% Initialize communication
% Sampling time
% Ts = 0.01;
 Ts = 0.05;
calibrate = 0;
% Port = 'COM6';
Port = f.ComPort;

steps = struct;

%% Identification

%% Steps responses - DEMO
steps.time = [0 : 7 : 49]';
steps.signals = struct;
steps.signals.values = [ [0 : 25 : 100], [75 : -25 : 25] ]';
steps.signals.dimensions = 1;
% Open simulation scheme
flexy2_steps

%% Steps response for identification
flexy2_identification

%% PID Controller

% Proportional gain
Zr = 1;

% Integration time constant
Ti = 1;

% Derivation time constant
Td = 0;

%% Control of Flexy
flexy2_control

%% Control of Bulb
Z = 1;
T = 10;

bulb_control
