%% prerequisities
addpath('RealTime_Pacer')    % if not included in the PATH
slCharacterEncoding('UTF-8') % helps avoid warnings

%% Setup
% Define sampling time.
% This parameter defines a time interval used for sampling of Simulink
% model execution, communication, and internal sampling of Flexy.
Ts = 0.05; 

% Define COM port.
% this is communication port assigned to Arduino UNO by OS. 
% In Windows the format is COMX, where X is a number of port 
% (can be found in Device Manager).
% In Linux and OSX, this should be replaced by path to the serial 
% communication file located in \dev\ directory. In Linux, this is usually
% \dev\ttyACM0.
Port = 'COM8'; 
% Port = f.ComPort;

% Calibration of Flexy (yes/no).
% Performs a simple Input-Output calibration of the system, so the signals 
% will be normalized in the range of 0-100 percent.
calibrate = 0;

%% Simulink model
open('flexy2_fan_manual.slx');